package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author wj
 * @date 2022/11/28 9:42:39
 */
@Data
@ApiModel(value = "CrossInfoVO", description = "查询路口管理输入参数")
public class CrossInfoVO {

    /**
     * 路口名称
     */
    @ApiModelProperty(value = "路口名称", required = true)
    @NotNull(message = "路口名称不可为空")
    private String name;

    /**
     * 行政区划名称
     */
    @ApiModelProperty(value = "行政区划名称", required = true)
    @NotNull(message = "行政区划名称不可为空")
    private String areaName;

    /**
     * 是否信控路口：1是；0否
     */
    @ApiModelProperty(value = "是否信控路口：1是；0否", required = true)
    @NotNull(message = "是否信控路口不可为空")
    @Max(value = 1, message = "是否信控路口：1是；0否")
    @Min(value = 0, message = "是否信控路口：1是；0否")
    private Integer isSignal;

    /**
     * 是否启动优化：1是；0否
     */
    @ApiModelProperty(value = "是否启动优化：1是；0否", required = true)
    @NotNull(message = "是否启动优化不可为空")
    @Max(value = 1, message = "是否启动优化：1是；0否")
    @Min(value = 0, message = "是否启动优化：1是；0否")
    private Integer isStart;

    /**
     * 是否下发方案：1是；0否
     */
    @ApiModelProperty(value = "是否下发方案：1是；0否", required = true)
    @NotNull(message = "是否下发方案不可为空")
    @Max(value = 1, message = "是否下发方案：1是；0否")
    @Min(value = 0, message = "是否下发方案：1是；0否")
    private Integer isSend;

    @ApiModelProperty(value = "当前页")
    private Integer pageNum;

    @ApiModelProperty(value = "每页的数量")
    private Integer pageSize;

}
